zenilib: zenilib/jni/external/freetype2/src/gzip/zutil.c File Reference

zenilib 0.5.3.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Friends Macros Groups Pages
Functions
zutil.c File Reference
`#include "zutil.h"`

Go to the source code of this file.

## Functions

void exit | OF ((int))
voidp ft_scalloc | OF ((uInt items, uInt size))
void ft_sfree | OF ((voidpf ptr))
voidpf | zcalloc (voidpf opaque, unsigned items, unsigned size)
void | zcfree (voidpf opaque, voidpf ptr)
int | zmemcmp (Bytef *s1, const Bytef *s2, uInt len) const
void | zmemcpy (Bytef *dest, const Bytef *source, uInt len)
void | zmemzero (Bytef *dest, uInt len)

## Function Documentation

void exit OF | ( | (int) |  | ) |

voidp ft_scalloc OF | ( | (uInt items, uInt size) |  | ) |

void ft_sfree OF | ( | (voidpf ptr) |  | ) |

voidpf zcalloc | ( | voidpf | opaque,
|  | unsigned | items,
|  | unsigned | size
| ) |  |

Definition at line 164 of file zutil.c.

References ft_scalloc.

Referenced by deflateInit2_(), inflateBackInit_(), and inflateInit2_().

void zcfree | ( | voidpf | opaque,
|  | voidpf | ptr
| ) |  |

Definition at line 173 of file zutil.c.

References ft_sfree.

Referenced by deflateInit2_(), inflateBackInit_(), and inflateInit2_().

int zmemcmp | ( | Bytef* | s1,
|  | const Bytef* | s2,
|  | uInt | len
| ) |  | const

Definition at line 28 of file zutil.c.

References j.

void zmemcpy | ( | Bytef* | dest,
|  | const Bytef* | source,
|  | uInt | len
| ) |  |

Definition at line 17 of file zutil.c.

Referenced by deflateCopy(), deflateSetDictionary(), fill_window(), flush_pending(), gzread(), inflate(), inflate_blocks(), inflate_flush(), inflateBack(), inflateCopy(), inflateSetDictionary(), read_buf(), and updatewindow().

void zmemzero | ( | Bytef* | dest,
|  | uInt | len
| ) |  |

Definition at line 41 of file zutil.c.

Referenced by fill_window(), and gzseek().